unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorPacientes, 
  uEditorPaciente, uEditorElegirPacientes,
  uEditorFichasPacienteReport, uEditorEtiquetasContactosReport;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorPacientes, 'EditorPacientes');

  EditorRegistry.RegisterClass(TfEditorPaciente, 'EditorPaciente');

  EditorRegistry.RegisterClass(TfEditorElegirPacientes, 'EditorElegirPacientes');

  EditorRegistry.RegisterClass(TfEditorFichasPacientePreview, 'EditorFichasPacientePreview');
  EditorRegistry.RegisterClass(TfEditorEtiquetasContactosPreview, 'EditorEtiquetasContactosPreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorPacientes);

  EditorRegistry.UnRegisterClass(TfEditorPaciente);

  EditorRegistry.UnRegisterClass(TfEditorElegirPacientes);

  EditorRegistry.UnRegisterClass(TfEditorFichasPacientePreview);
  EditorRegistry.UnRegisterClass(TfEditorEtiquetasContactosPreview);
end;

end.
